import type binding from './binding';
export type { RspackError } from './binding';
export type RspackSeverity = binding.JsRspackSeverity;
export declare class NonErrorEmittedError extends Error {
    constructor(error: Error);
}
export declare class DeadlockRiskError extends Error {
    constructor(message: string);
}
export declare class ValidationError extends Error {
    constructor(message: string);
}
